%define upstream_name    EBook-EPUB
%define upstream_version 0.6

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    No summary found
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/EBook/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Archive::Zip)
BuildRequires: perl(Carp)
BuildRequires: perl(Data::UUID)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Moose)
BuildRequires: perl(Test::More)
BuildRequires: perl(XML::Writer)
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}

%description
The Navigation Control file for XML applications (NCX) exposes the
hierarchical structure of a Publication to allow the user to navigate
through it. The NCX is similar to a table of contents in that it enables
the reader to jump directly to any of the major structural elements of the
document, i.e. part, chapter, or section, but it will often contain more
elements of the document than the publisher chooses to include in the
original print table of contents. It can be visualized as a collapsible
tree familiar to PC users.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.600.0-3.mga4
+ Revision: 511381
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.600.0-2.mga3
+ Revision: 366739
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 09 2012 shlomif <shlomif> 0.600.0-1.mga2
+ Revision: 194091
- New version - 0.6

* Sat Dec 17 2011 shlomif <shlomif> 0.500.0-1.mga2
+ Revision: 182980
- imported package perl-EBook-EPUB


* Mon May 16 2011 cpan2dist 0.5-1mdv
- initial mdv release, generated with cpan2dist
